package cn.fw.dalaran.domain.db;

import cn.fw.common.data.entity.BaseAuditableTimeEntity;
import cn.fw.dalaran.domain.enums.PlatformEnum;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author kurisu
 * @date 2021-11-17 14:02
 * @description 直播池
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ToString(callSuper = true)
public class LivePool extends BaseAuditableTimeEntity<VideoPool, Long> {
    /**
     * 账号id
     */
    private Long accountId;
    /**
     * 房间号
     */
    private String roomNo;
    /**
     * 用户昵称
     */
    private String userNick;
    /**
     * 平台类型
     */
    private PlatformEnum platform;
    /**
     * 直播标题
     */
    private String title;
    /**
     * 直播封面
     */
    private String cover;
    /**
     * 直播回放地址
     */
    private String playbackUrl;
    /**
     * 观看人数
     */
    private Long uv;
    /**
     * 峰值观看人数
     */
    private Long uvPeak;
    /**
     * 点赞人数
     */
    private Long likeNum;
    /**
     * 分享人数
     */
    private Long shareNum;
    /**
     * 评论人数
     */
    private Long commentNum;
    /**
     * 新增粉丝数
     */
    private Long newFanNum;
    /**
     * 收礼数
     */
    private Long receiveNum;
    /**
     * 收礼金额
     */
    private BigDecimal receiveAmount;
    /**
     * 直播时长 （秒）
     */
    private Integer liveDuration;
    /**
     * 是否为有效直播(-2:被判空挂, -1:付费, 0:无效, 1:有效, 11:有效且最佳)
     */
    private Integer validLive;
    /**
     * 直播开始时间
     */
    private Date liveStartTime;
    /**
     * 直播结束时间
     */
    private Date liveEndTime;
    /**
     * 主题id
     */
    private Long themeId;
    /**
     * 主题
     */
    private String theme;
    /**
     * 话题
     */
    private String tags;
    /**
     * 品牌id
     */
    private Long brandId;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 车系id
     */
    private Long seriesId;
    /**
     * 车系名称
     */
    private String seriesName;
}
