package cn.fw.dalaran.domain.param;

import cn.fw.dalaran.domain.db.ThemeFile;
import cn.fw.dalaran.domain.vo.FileDesc;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/7/25 16:48
 * @Description 增加话题带参
 */
@Data
public class AddThemeCoverParams {
    /**
     * 活动主题id
     */
    @NotNull(message = "活动主题id不能为空")
    private Long themeId;
    /**
     * 活动话题
     */
    @NotEmpty(message = "增加封面不能为空")
    private List<FileDesc> covers;

    /**
     * vo->db
     *
     * @return 将视图传参转换成DB
     */
    public static List<ThemeFile> toDB(AddThemeCoverParams vo) {
        return vo.getCovers()
                .stream()
                .map(item -> FileDesc.toDB(vo.getThemeId(), item))
                .collect(Collectors.toList())
                ;
    }
}
