package cn.fw.dalaran.service;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * @author wmy3969
 * @version 1.0
 * @date 2022/6/11 16:12
 * @Description 公共服务
 */
@Slf4j
@Component
public class Common {
    @Value("${spring.profiles.active}")
    private String env;// 获取系统当前环境

    /**
     * 获取主题封面图路径
     */
    public String getActivityThemeCoverDir() {
        String osName = System.getProperties().getProperty("os.name");
        if (osName.contains("Windows"))
            return System.getProperty("java.io.tmpdir");// 获取当前环境临时文件夹路径
        if (env.contains("prd"))
            return "/web/logs/server.dalaran.feewee.cn/";
        else
            return "/web/logs/testserver.dalaran.feewee.cn/";
    }
}
