package cn.fw.dalaran.service.data;

import cn.fw.dalaran.domain.db.Account;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author kurisu
 * @date 2021-11-17 14:54
 * @description 账号service
 */
public interface AccountService extends IService<Account> {
    /**
     * 修改账户
     *
     * @param param 待修改字段值封装
     */
    boolean alertAccount(Account param);

    /**
     * 根据用户id获取账户
     *
     * @param userId 用户id
     * @return 对应账户
     */
    List<Account> getByUserId(Long userId);

    /**
     * 根据用户号获取账户
     *
     * @param accountNo 用户账户号
     * @return 对应账户
     */
    List<Account> getByUserAccountNo(String accountNo);
}
